Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
TransactionConfig..::.NoWait Field
TransactionConfig Class See Also

If true and a lock is unavailable for any Berkeley DB operation performed in the context of a transaction, cause the operation to throw a DeadlockException (or LockNotGrantedException if configured with TimeNotGranted).

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool NoWait

Visual Basic (Declaration)
    Public NoWait As Boolean

Visual C++
    public:
    bool NoWait

# Remarks

This setting overrides the behavior specified by TxnNoWait.

# See Also

TransactionConfig Class
BerkeleyDB Namespace